Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Friends | List of all members
testing::TestInfo Class Reference

## Public Member Functions
const char * | test_case_name () const
const char * | name () const
const char * | type_param () const
const char * | value_param () const
const char * | file () const
int | line () const
bool | should_run () const
bool | is_reportable () const
const TestResult * | result () const

## Friends
class | Test
class | TestCase
class | internal::UnitTestImpl
class | internal::StreamingListenerTest
TestInfo * | internal::MakeAndRegisterTestInfo (const char *test_case_name, const char *name, const char *type_param, const char *value_param, internal::CodeLocation code_location, internal::TypeId fixture_class_id, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, internal::TestFactoryBase *factory)

## Detailed Description

Definition at line 644 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h